<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="generator" content="{{ config('app.name') }} v{{ config('app.version') }} (framework v{{ App::VERSION() }})">

        <title>@yield('title') | @lang('global.app_name')</title>
        <base href="{{ url('/') }}">

        {{-- Cannot use $theme_url here: if a theme uses the base layout, it would also have to provide all these dependencies! --}}
        {{-- As these files are shipped with core (not a theme) use the main app.version instead of the current theme's version --}}
        <link href="themes/base/bootstrap/css/bootstrap.min.css?v={{ urlencode(config('app.version')) }}" rel="stylesheet">
        <link href="themes/base/font-awesome/css/font-awesome.min.css?v={{ urlencode(config('app.version')) }}" rel="stylesheet">
        <link href="themes/base/css/app.css?v={{ urlencode(config('app.version')) }}" rel="stylesheet">
        @stack('styles')
    </head>
    <body>
        @include('themes.base.partials.navbar')

        <div class="container-fluid">
            @yield('content')
        </div>

        {{-- Cannot use $theme_url here: if a theme uses the base layout, it would also have to provide all these dependencies! --}}
        {{-- As these files are shipped with core (not a theme) use the main app.version instead of the current theme's version --}}
        <script src="themes/base/js/jquery.min.js?v={{ urlencode(config('app.version')) }}"></script>
        <script src="themes/base/bootstrap/js/bootstrap.min.js?v={{ urlencode(config('app.version')) }}"></script>
        <script src="themes/base/js/app.js?v={{ urlencode(config('app.version')) }}"></script>
        @stack('scripts')
    </body>
</html>
